<?php

if (!function_exists("__autoload")) {
    /**
     * Erstellt einen Verweis auf eine Klassendatei, wenn sie mit NEW instanziert wird und in diesem
     * Skript nicht vorhanden ist.
     * @param string $class
     */
    function __autoload($class) {
        if (!class_exists($class)) {
            switch ($class) {
                default:
                    $class_file = DOCROOT.'_system/'.$class.'.class.php';
                    if (is_file($class_file)) {
                        include_once ($class_file);
                    } else {
                        die($class.' wurde nicht gefunden');
                    }
                    break;
            }
        }
    }
}
