<?php 
/**
 * Klasse wird benoetigt um die Eintraege
 * fueer die search.txt zu erstellen
 * mit Schlagwoertern und den dazugehoerenden
 * Showids
 */
if (!class_exists('searchLineCollection')) {
    class searchLineCollection {
    
        var $list = null;
        var $searchTextlines = null;
        var $tagTextlines = null;
        var $minimum_showids = 4;
        
        function add($item) {
            $found = $found_showid = false;
            if ($this->list == null) {
                $this->list = array();
            }
            foreach ($this->list as $entry) {
                if ($entry->word == $item->word) {
                    $found = true;
                    foreach ($entry->showids as $showid) {
                        if ($showid == $item->showids[0]) {
                            // ist schon vorhanden hier nichts mehr
                            $found_showid = true;
                            break;
                        }
                    }
                    if (!$found_showid) {
                        $entry->showids[] = $item->showids[0];
                    }
                    break;
                }
            }
            if (!$found) {
                $this->list[] = $item;
            }
        }
        
        function getList() {
            return $this->list;
        }
        
        function createLines() {
            $this->tagTextlines = $this->searchTextlines = array();
			if(count($this->list) > 0){
				foreach ($this->list as $entry) {
	                $word = (string) $entry->word;
	                $showids = '';
	                for ($i = 0, $n = count($entry->showids); $i < $n; $i++) {
	                    $showid = (int) $entry->showids[$i];
	                    if ($i > 0) {
	                        $showids .= ','.$showid;
	                    } else {
	                        $showids = $showid;
	                    }
	                }
	                $this->searchTextlines[] = $word.'='.$showids;
	                if (count($entry->showids) > $this->minimum_showids) {
	                    $this->tagTextlines[] = $word;
	                }
	            }	
			}else {
				throw new Exception('Es koennen keine Suchdateien erstellt werden');
			}
            
        }
        
        function getSearchTextlines() {
            return $this->searchTextlines;
        }
        
        function getTagTextlines() {
            return $this->tagTextlines;
        }
    }
}
?>
