<?php
if (substr($CONFIG['PATH'], strlen($CONFIG['PATH'])-1) != '/')
{
    $CONFIG['PATH'] .= '/';
}
if (substr($CONFIG['POPUPDIR'], strlen($CONFIG['POPUPDIR'])-1) != '/')
{
    $CONFIG['POPUPDIR'] .= '/';
}
$popupdir = $CONFIG['PATH'].$CONFIG['POPUPDIR'];
$popupdir = str_replace('//', '/', $popupdir);
$imagepath = $imagepath_for_javascript = $popupdir.'images_'.$CONFIG['LANGUAGE'].'/';
$imagepath = urlencode($imagepath);
if(!headers_sent()){
	header('Content-type: text/html; charset=UTF-8');
}
?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <style type="text/css" media="screen">
	        /*<![CDATA[*/@import url(http://fonts.googleapis.com/css?family=Amaranth:700);
	        @import url(<?php echo("{$popupdir}styles.css.php?imagepath={$imagepath}"); ?>);	        
	        /* ]]> */
	    </style>
	    <!--[if IE]>
	        <style type="text/css" media="screen">
	        .errortxt {
	        filter:alpha(opacity=80); /* IE */
	        }
	        </style>
	    <![endif]-->
        <script type="text/javascript" language="javascript">
            /*<![CDATA[*/                        
            function validate(){				
				var valid = true;
				var objInputUN = document.getElementById('un');
				var objInputPW = document.getElementById('pw');
				var objErrorbox = document.getElementById('errorbox-login');
				var objP = document.createElement('p');
				objP.className = 'errortxt';
				objP.setAttribute('class', 'errortxt');
				
				var directory = '<?=$imagepath_for_javascript?>';
				var bg_img_error = directory + 'input_error.jpg';	
				
                if (objInputUN.value.length == 0) {
                    objP.innerHTML = '<?=$text['remotelogin']['error_benutzername']?>';
					objInputUN.style.background = "url(" + bg_img_error +")";              
                    objInputUN.focus();
                    valid = false;
                }
                if (valid && objInputPW.value.length == 0) {
                    objP.innerHTML = '<?=$text['remotelogin']['error_email']?>';
                    objInputPW.style.background = "url(" + bg_img_error +")";
                    objInputPW.focus();
                    valid = false;
                }
				if(valid){
					try{
						// document.formlogin.submit();
						var close_window = false;
						var new_location = document.formlogin.action + '&un=' + objInputUN.value + '&pw=' + objInputPW.value;
						if(window.opener != undefined){
							window.opener.location = new_location;
							close_window = true;
						}else if(parent.window != undefined){
							parent.window.location = new_location;
						}else{
							var temp = window.open(new_location, 'logged_in', 'top=0,left=0,width=' + screen.width + ',height=' + screen.height);
							temp.focus();
							close_window = true;							
						}
						if(close_window){
							var userAgent = navigator.userAgent;					
							if(strripos(userAgent, 'chrome', true)){
								setTimeout("window.close()", 1000);
							} else {
								window.close();
							}
						}
					}catch (e){
						alert(e);
					}
				}else{
					objErrorbox.innerHTML = '';
					objErrorbox.appendChild(objP);
					return valid;
				}
            }
			// Finds position of last occurrence of a string within another string 
    		function strripos(haystack, needle, offset){
		        var i = -1;
		        haystack = (haystack + '').toLowerCase();
		        needle = (needle + '').toLowerCase();
		        if (offset) {
		            i = (haystack + '').slice(offset).lastIndexOf(needle);
		            // strrpos' offset indicates starting point of range till end,
		            // while lastIndexOf's optional 2nd argument indicates ending point of range from the beginning
		            if (i !== -1) {
		                i += offset;
		            }
		        }
		        else {
		            i = (haystack + '').lastIndexOf(needle);
		        }
		        return i >= 0 ? i : false;
		    }
			// versucht bei Enter im Textfeld das Formular ab zu schicken
			function doSubmit(e){
				var objForm = document.forms.formlogin;
				if(e.keyCode == 13){
					 validate();
				}
			}   
			/* ]]> */
        </script>
		<title>Login</title>
    </head>
    <body>
        <?php
        if ((! isset ($errorcode) || $errorcode > 0))
        {
        ?>
        <form action="http://member.777livecams.com/?id=<?=$CONFIG['WMID']?>&amp;l=<?=$CONFIG['LIVECAMLAYOUT']?>&amp;showchat=<?=$form['camid']?>" method="post" target="_blank" name="formlogin" id="formlogin" accept-charset="UTF-8">
            <input type="hidden" name="name" value="<?=$form['name']?>" />
			<input type="hidden" name="targeturl" value="<?=$form['targeturl']?>" />			
			<input type="hidden" name="origin" value="<?=$form['origin']?>" />
			<input type="hidden" name="culture" value="<?=$form['language']?>" />
			<input type="hidden" name="ref" value="script" />
            <div id="wrapper-login">
                <h1>
                    <?= $text['remotelogin']['head'] ?>
                </h1>
                <h2>
                    <?= $text['remotelogin']['head2'] ?>
                </h2>
                <div id="memberlogin-box">
                    <span>
                        <?= $text['remotelogin']['owndata'] ?>
                    </span>
                    <p>
                        <label for="un">
                            <?= $text['remotelogin']['username'].':' ?>
                        </label>
                        <input name="un" id="un" type="text" value="" size="20" maxlength="50" onkeydown="doSubmit(event);"/>
                    </p>
                    <p>
                        <label for="pw">
                            <?= $text['remotelogin']['password'].':' ?>
                        </label>
                        <input name="pw" type="password" id="pw" value="" size="20" maxlength="50" onkeydown="doSubmit(event);"/>
                    </p>
                    <br clear="all" />
                    <a href="javascript:void(0)" onclick="validate();" class="memberlogin-button">
                        <?= $text['remotelogin']['nowlogin'] ?>
                    </a>
                </div>
                <div id="password-box">
                    <a href="remotepassword.php?bid=<?=$form['bid']?>&amp;camid=<?=$form['camid']?>&amp;name=<?=urlencode($form['name'])?>&amp;targeturl=<?=$form['targeturl']?>&amp;language=<?=$form['language']?>" class="password-button">
                        <?= $text['remotelogin']['passwordforgot'] ?>
                    </a>
                    <div id="errorbox-login">
                        <?php
                        if ( isset ($errorcode))
                        {
                        ?>
                        <p class="errortxt">
                            <?= $errormsg[$errorcode] ?>
                        </p>
                        <?php
                        }
                        ?>
                    </div>
                    <a href="remoteregister.php?bid=<?=$form['bid']?>&amp;camid=<?=$form['camid']?>&amp;name=<?=urlencode($form['name'])?>&amp;targeturl=<?=$targeturl?>&amp;language=<?=$form['language']?>" class="nodata-button">
                        <?= $text['remotelogin']['nologinyet'] ?>
                    </a>
                </div>
            </div>
            <?
            }
            ?>
        </form>
        <?php
        if ( isset ($counterpixel))
        {
            $_SESSION['cid_refresh'] = time();
			echo ($counterpixel);
        }
        ?>
    </body>
</html>