<?php 

require_once ("config.inc.php");
include_once ('_system/scripthelper.inc.php');

function setcamlink($cam) {
    global $CONFIG, $kategorie, $CAMLINKZ, $SENDERKEY;
    $sender_keys = preg_split("#,#", $SENDERKEY);
	shuffle($sender_keys);
	$senderkey = urlencode(trim($sender_keys[0]));
	$helplink = $CONFIG['PATH']."/".implode("/", $CAMLINKZ);
    $camlink = $helplink;
	
    $keyword1 = keyword1($cam['CAMID']);
    $keyword2 = keyword2($cam['CAMID']);
    $keyword3 = keyword3($cam['CAMID']);
    $camlink = str_replace("{kategorie}", $kategorie[0]["linkname"], $camlink);
    $camlink = str_replace("{id}", $cam["CAMID"], $camlink);
    $camlink = str_replace("{keyword1}", $keyword1, $camlink);
    $camlink = str_replace("{keyword2}", $keyword2, $camlink);
    $camlink = str_replace("{keyword3}", $keyword3, $camlink);
	$camlink = str_replace("{senderkey}", $senderkey, $camlink);
    $camlink = str_replace("{desc}", urlencode(replace_ltext(substr($cam['SHORTDESCRIPTION'], 0, 60))), $camlink);
    $camlink = str_replace("{name}", urlencode(replace_ltext($cam['NAME'])), $camlink);
    $camlink = str_replace("//", "/", $camlink);
    return $camlink;
}


/* *****************************************
 * Wie soll die einzelne Zeile in der Textdatei zusammen gestellt werden?
 * Benutzen Sie folgende Wildcards:
 * (WICHTIG: Nicht immer sind alle Felder besetzt, das sollte man beruecksichtigen)
 * {name}
 * {geschlecht}
 * {sternzeichen}
 * {alter}
 * {sexpref}
 * {haarfarbe}
 * {augenfarbe}
 * {gewicht}
 * {groesse}
 * {nation}
 * {hobbies}
 * {piercing}
 * {figur}
 * {haarlaenge}
 * {koerbchengroesse}
 * {intimrasur}
 * {hautfarbe}
 * {beschreibung}
 * {plz}
 * {shortdescription}
 * {erointressen_all} - Alle Erotischen Interessen
 * {erointressen_one} - Nur ein erotisches Interesse per Zufall gewaehlt
 * {charakter}
 * {sprachen}
 * {camlink} - Der Link zur Sedcard des Senders
 * {piclink} - Der Link zum Bild des Senders
 * 
 * Nachfolgend ein Beispiel
 */
$line = "<a href=\"{camlink}\"><img src=\"".$CONFIG['PATH']."{piclink}\" border=\"0\" width=\"96\" align=\"left\">{name} - {beschreibung}</a>";

/* *****************************************
 * Wie soll die Textdatei heissen?
 */
$dateiname = "camtexte.txt";

/* *****************************************
 * Ab hier sollte man nichts mehr aendern.
 */

$tempdir = $CONFIG['TEMPDIR'];
$textdir = $CONFIG['TXTDIR'];
$all_files = scandirneu($tempdir);
shuffle($all_files);
$texte = array();
foreach ($all_files as $file) {
    // Es muss sich um ein xml-File handeln, der vorderer Teil muss numerisch sein:
    $endung = substr($file, -4);
    $vorne = substr($file, 0, -4);
    if ($endung == ".xml" && is_numeric($vorne)) {
        // Datei laden
        $xml = implode("", file($tempdir.$file));
        $array = xml2array($xml);
        $nr = count($texte);
        $texte[$nr] = $line;
        // Ersetze die Variablen in den Meta-Tags:
        if (isset($array['EROINTREssEN'])) {
            $help = explode(",", $array['EROINTREssEN']);
            if (count($help)) {
                $array['EROINTREssEN_ONE'] = mt_rand(0, count($help) - 1);
            }
            $camlink = setcamlink($array);            
            $cam_previewpic_id = image_id($array['PREVIEW'][0]);
            $cam_name = $array['NAME'];
            $cam_beschreibung = $array['SHORTDESCRIPTION'];
            $piclink = setbildlink($cam_previewpic_id, $cam_name, $cam_beschreibung);
            
            // Ersetze die Variablen in den Meta-Tags:
            $msearch = array();
            $mreplace = array();
            if (isset($camlink)) {
                $msearch = array("{camlink}", "{piclink}");
                $mreplace = array($camlink, $piclink);
            }
            $array_keys = array('NAME', 'GESCHLECHT', 'STERNZEICHEN', 'ALTER', 'SEXPREF', 'HAARFARBE', 'AUGENFARBE', 'GEWICHT', 'GRoessE', 'NATION', 'HOBBIES', 'PIERCING', 'FIGUR', 'HAARLaeNGE', 'KoeRBCHENGRoessE', 'INTIMRASUR', 'HAUTFARBE', 'BESCHREIBUNG', 'PLZ', 'SHORTDESCRIPTION', 'EROINTREssEN', 'EROINTREssEN_ONE', 'CHARAKTER', 'SPRACHEN');
            $search_keys = array("{name}", "{geschlecht}", "{sternzeichen}", "{alter}", "{sexpref}", "{haarfarbe}", "{augenfarbe}", "{gewicht}", "{groesse}", "{nation}", "{hobbies}", "{piercing}", "{figur}", "{haarlaenge}", "{koerbchengroesse}", "{intimrasur}", "{hautfarbe}", "{beschreibung}", "{plz}", "{shortdescription}", "{erointressen_all}", "{erointressen_one}", "{charakter}", "{sprachen}");
            $i = 0;
            foreach ($array_keys as $key) {
                if (isset($array[$key])) {
                    $mreplace[] = $array[$key];
                } else {
                    $mreplace[] = '';
                }
                $msearch[] = $search_keys[$i];
                $i++;
            }
            $texte[$nr] = str_replace($msearch, $mreplace, $texte[$nr]);
            
            $texte[$nr] = str_replace($msearch, $mreplace, $texte[$nr]);
            $msearch = array("\n", "\r", "\t", "\"", );
            $mreplace = array(" ", "", " ", '"');
            $texte[$nr] = str_replace($msearch, $mreplace, $texte[$nr]);
        }
    }
}
$texte = implode("\n", $texte);
savefile($dateiname, 'TXTDIR', $texte);
exit();

?>